commit:     74fcd8d8f152bef506cc5a06f848fe096e42dca1
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Wed Jul  2 22:15:37 2025 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Wed Jul  2 22:15:37 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=74fcd8d8

www-apps/mediawiki: bump to 1.44.0

Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 www-apps/mediawiki/Manifest                |  1 +
 www-apps/mediawiki/mediawiki-1.44.0.ebuild | 92 ++++++++++++++++++++++++++++++
 2 files changed, 93 insertions(+)

diff --git a/www-apps/mediawiki/Manifest b/www-apps/mediawiki/Manifest
index 6356229d894a..32876396b69f 100644
--- a/www-apps/mediawiki/Manifest
+++ b/www-apps/mediawiki/Manifest
@@ -2,3 +2,4 @@ DIST mediawiki-1.39.12.tar.gz 59683778 BLAKE2B 
2317a2e3a99bb5bd870e51d378569c69e
 DIST mediawiki-1.39.13.tar.gz 59844264 BLAKE2B 
89337facec8563625c73e5859ae89fcf4cab7b0b73e13cfdcb1857a0ab4da2f131702ad82551357552b3635de55f9875d481e25cc044c1f4d7b0f311be27a90d
 SHA512 
797eeceff5afa40f5202881aa38e5f52446c733b46045a308e6ba8b1a49ce7749d0a2477d57a3a11addd5429e3ac77d2cfb518c464f5e86220362bfee45ffcd2
 DIST mediawiki-1.43.1.tar.gz 92667428 BLAKE2B 
d0c066b2bd925ae0053cd1b630f28ce5ff1cd8352bc11ee1c057ce81e208bac90617c93fb86e8a3503a0e1b13f68591dafdeee6bbc28087609a9b25a51bbea5f
 SHA512 
5d02eac493b9e0334175799bf85e9ab62f30de7c2335c6fa94d02f4dc5e732af6e1c79300f6e5071ec7d1c2e2525c22a16cabb0f682278046977574d8508e91d
 DIST mediawiki-1.43.3.tar.gz 91773363 BLAKE2B 
a5a05751446ae4ed1540067e9e79ef28197f6ab36213fcef5672ea8073cff7be2c20bf83b65b4072904dca9fbcb0cc03faef67e010b07b8304d2525995fb817f
 SHA512 
c257cb059829d44902e85565f963ebbfaab38ab63f9eaaa23b0ed0679ba808bb65076431394471e088c4a61909eacade471bffcbbb4db6b60c2d2683c3de2785
+DIST mediawiki-1.44.0.tar.gz 94130335 BLAKE2B 
219973fc3ff40f22e408da73bdb6244519432bc93fc50fb2e72cf63b70a91d160b7c54ffd270d73786deefdc4e8bc6840ec32f87761b8b242f82892e95ea3756
 SHA512 
410e7c5816ca266763e9e5937dbd966322a71c42072e1290373cc4bf5bda51b5a86a2c2cb11db39e7d8426aac72e7d65c3c7b01cb2be0faa242435588ba26437

diff --git a/www-apps/mediawiki/mediawiki-1.44.0.ebuild 
b/www-apps/mediawiki/mediawiki-1.44.0.ebuild
new file mode 100644
index 000000000000..0cd744558731
--- /dev/null
+++ b/www-apps/mediawiki/mediawiki-1.44.0.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit webapp
+
+MY_BRANCH=$(ver_cut 1-2)
+
+DESCRIPTION="The MediaWiki wiki web application (as used on wikipedia.org)"
+HOMEPAGE="http://www.mediawiki.org";
+SRC_URI="http://releases.wikimedia.org/${PN}/${MY_BRANCH}/${P}.tar.gz";
+
+LICENSE="GPL-2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~x86"
+IUSE="imagemagick mysql postgres +sqlite"
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+RDEPEND="dev-lang/php[calendar,ctype,fileinfo,iconv,intl,json(+),postgres?,session,ssl,unicode,xml,xmlreader]
+       imagemagick? ( virtual/imagemagick-tools )
+       !imagemagick? ( dev-lang/php[gd] )
+       mysql? ( dev-lang/php[mysql,mysqli] )
+       sqlite? (
+               dev-db/sqlite[fts3(+)]
+               dev-lang/php[pdo,sqlite]
+       )
+       virtual/httpd-php"
+
+need_httpd_cgi
+
+RESTRICT="test"
+
+src_unpack() {
+       default
+
+       # remove lua binaries (bug #631554)
+       rm -r 
"${S}"/extensions/Scribunto/includes/Engines/LuaStandalone/binaries || die 
"Failed to remove Lua binaries"
+}
+
+src_install() {
+       webapp_src_preinst
+
+       # First we install docs and then copy everything left into htdocs dir
+       # to avoid bugs like #236411.
+
+       # We ensure the directories are prepared for writing.  The post-
+       # install instructions guide the user to enable the feature.
+       local DOCS="FAQ HISTORY INSTALL README.md RELEASE-NOTES-${PV:0:4} 
UPGRADE"
+       dodoc ${DOCS} docs/*.txt
+       docinto databases
+       dodoc docs/databases/*
+
+       # Clean everything not used at the site...
+       rm -r ${DOCS} COPYING tests docs || die
+       find . -name Makefile -delete || die
+
+       # and install
+       insinto "${MY_HTDOCSDIR}"
+       doins -r .
+
+       # If imagemagick is enabled then setup for image upload.
+       # We ensure the directory is prepared for writing.
+       if use imagemagick ; then
+               webapp_serverowned "${MY_HTDOCSDIR}"/images
+       fi
+
+       webapp_postinst_txt en "${FILESDIR}/postinstall-1.18-en.txt"
+       webapp_postupgrade_txt en "${FILESDIR}/postupgrade-1.16-en.txt"
+       webapp_src_install
+}
+
+pkg_postinst() {
+       webapp_pkg_postinst
+
+       if [[ -n ${REPLACING_VERSIONS} ]]; then
+               echo
+               elog "=== Consult the release notes ==="
+               elog "Before doing anything, stop and consult the release notes"
+               elog "/usr/share/doc/${PF}/RELEASE-NOTES-${PV:0:4}.bz2"
+               echo
+               elog "These detail bug fixes, new features and functionality, 
and any"
+               elog "particular points that may need to be noted during the 
upgrade procedure."
+               echo
+               elog "If you plan to use the Scribunto extension with Lua, make 
sure to configure"
+               elog "path to Lua executable using this documentation:"
+               elog 
"https://www.mediawiki.org/wiki/Extension:Scribunto#Lua_binary";
+               echo
+               ewarn "Back up existing files and the database before upgrade."
+               ewarn "http://www.mediawiki.org/wiki/Manual:Backing_up_a_wiki";
+               ewarn "provides an overview of the backup process."
+               echo
+       fi
+}

Reply via email to